image: docker:stable

services:
  - docker:19.03.8-dind

stages:
  - linting
  - test
  - build image

linting:
  stage: linting
  image: python:3.6
  before_script: 
    - python --version
    - apt update
    - apt install -y bc
    - pip install --upgrade pip
    - python -m pip install pylint
    - python -m pip install -r requirements.txt
  script:
    - bash tests/lint.sh

test:
  stage: test
  image: python:3.6
  before_script:
    - pip install --upgrade pip
    - python -m pip install -r requirements.txt
    - cd tests
  script:
    - pytest test_generate_gaussian.py
